Subject: linux-next: build failures after merge of the hid tree

From: Stephen Rothwell <[email-masked]>
Date: Sun, 21 Jun 2020 14:04:21 +1000

Hi all,

After merging the hid tree, today's linux-next build (x86_64 allmodconfig)
failed like this:

drivers/hid/intel-ish-hid/ipc/ipc.c:12:10: fatal error: client.h: No such file or directory
   12 | #include "client.h"
      |          ^~~~~~~~~~
drivers/hid/intel-ish-hid/ipc/pci-ish.c:22:10: fatal error: ishtp-dev.h: No such file or directory
   22 | #include "ishtp-dev.h"
      |          ^~~~~~~~~~~~~

I don't know what caused it, but commit

  470376737e88 ("HID: allow building hid.ko as an external module")

did not fix it.  BTW, I build with "make O=...".

I have used the hid tree from next-20200618 for today.

BTW, the hid tree really needs cleaning up, it contains merge commits dating
back to April 2018 :-(

$ git rev-list --count origin/master..hid/for-next
301
$ git rev-list --no-merges --count origin/master..hid/for-next
12

-- 
Cheers,
Stephen Rothwell